Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.enterprise.deploy.shared
Class ActionType

    java.lang.Object
      javax.enterprise.deploy.shared.ActionType

public class ActionType
extends java.lang.Object

Class ActionTypes defines enumeration values for the J2EE DeploymentStatus actions.

Author:
  rsearls

Field Summary
`static ActionType` | `CANCEL` A cancel operation is being preformed on the DeploymentManager action command.
`static ActionType` | `EXECUTE` The DeploymentManager action command is executing.
`static ActionType` | `STOP` A stop operation is being preformed on the DeploymentManager action command.

Constructor Summary
`protected` | `ActionType(int value)` Construct a new enumeration value with the given integer value.

Method Summary
`static ActionType` | `getActionType(int value)` Return an object of the specified value.
`protected ActionType[]` | `getEnumValueTable()` Returns the enumeration value table for class ActionType
`protected int` | `getOffset()` Returns the lowest integer value used by this enumeration value's enumeration class.
`protected java.lang.String[]` | `getStringTable()` Returns the string table for class ActionType
`int` | `getValue()` Returns this enumeration value's integer value.
`java.lang.String` | `toString()` Return the string name of this ActionType or the integer value if outside the bounds of the table

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EXECUTE

    public static final ActionType EXECUTE

  The DeploymentManager action command is executing.

### CANCEL

    public static final ActionType CANCEL

  A cancel operation is being preformed on the DeploymentManager action command.

### STOP

    public static final ActionType STOP

  A stop operation is being preformed on the DeploymentManager action command.

Constructor Detail

### ActionType

    protected ActionType(int value)

  Construct a new enumeration value with the given integer value.

Parameters:
  `value` - Integer value.

Method Detail

### getValue

    public int getValue()

  Returns this enumeration value's integer value.

  Returns:
    the value

### getStringTable

    protected java.lang.String[] getStringTable()

  Returns the string table for class ActionType

### getEnumValueTable

    protected ActionType[] getEnumValueTable()

  Returns the enumeration value table for class ActionType

### getActionType

    public static ActionType getActionType(int value)

  Return an object of the specified value.

  Parameters:
    `value` - a designator for the object.

### toString

    public java.lang.String toString()

  Return the string name of this ActionType or the integer value if outside the bounds of the table

### getOffset

    protected int getOffset()

  Returns the lowest integer value used by this enumeration value's enumeration class.

  The default implementation returns 0.

  Returns:
    the offset of the lowest enumeration value.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.